Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Don't try to load the FSEvents listener on older versions of OSX. #238

Merged
merged 2 commits into from Feb 6, 2012
Jump to file or symbol
Failed to load files and symbols.
+2 −2
Split
View
@@ -63,7 +63,7 @@ namespace(:spec) do
else
desc "Run all specs on multiple ruby versions (requires rvm)"
task(:portability) do
- Rake::Task[:build_mac_exec].invoke if RbConfig::CONFIG['host_os'] =~ /darwin/
+ Rake::Task[:build_mac_exec].invoke if RbConfig::CONFIG['host_os'] =~ /darwin(9|1\d)/i
travis_config_file = File.expand_path("../.travis.yml", __FILE__)
begin
travis_options ||= YAML::load_file(travis_config_file)
@@ -30,7 +30,7 @@ def stop
# @return [Boolean] whether usable or not
#
def self.usable?(no_vendor = false)
- return false unless RbConfig::CONFIG['target_os'] =~ /darwin/i
+ return false unless RbConfig::CONFIG['target_os'] =~ /darwin(9|1\d)/i
$LOAD_PATH << File.expand_path('../../../vendor/darwin/lib', __FILE__) unless no_vendor
require 'rb-fsevent'